Addon [1.7.10 & 1.8.9 & 1.10.2 & 1.11.2 & 1.12.2] Extra Planets *Updated 24/04/2020*

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (133 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!


v0.2.2 is available, check change log for details.

---------------------------------------------------------------------------------------------------------------------------------

1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (133 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.6.0 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (133 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v0.9.5 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (133 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.2.8 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------


Will be showing once they are approved on curse!
 

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (138 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!


v0.2.3 is available, check change log for details.

---------------------------------------------------------------------------------------------------------------------------------

1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (138 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.6.1 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (138 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v0.9.6 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (138 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.2.9 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (139 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.2.4 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (139 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.6.2 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (139 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v0.9.7 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (139 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.3.0 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (142 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.2.5 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (142 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.6.3 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (142 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v0.9.8 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (142 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.3.1 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (144 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.2.6 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (144 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.6.4 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (144 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v0.9.9 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (144 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.3.2 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (144 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.2.7 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (144 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.6.5 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (144 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.0.0 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (144 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.3.3 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (144 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.2.8 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.7.10 Version:
Please report them here and use [1.7.10] in the title.
Requires Galacticraft 3 Builds, (493 Build and higher) and Forge 10.13.4.1614!

v1.9.9 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 
Last edited:

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (152 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.2.9 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (152 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.6.6 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (152 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.0.1 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (152 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.3.4 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.7.10 Version:
Please report them here and use [1.7.10] in the title.
Requires Galacticraft 3 Builds, (493 Build and higher) and Forge 10.13.4.1614!

v2.0.0 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 
Last edited:

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (152 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.3.0 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (152 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.6.7 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (152 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.0.2 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (152 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.3.5 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (152 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.3.1 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (152 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.6.8 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (152 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.0.3 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (152 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.3.6 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (169 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.3.2 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (169 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.6.9 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (169 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.0.4 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (169 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.3.7 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.7.10 Version:
Please report them here and use [1.7.10] in the title.
Requires Galacticraft 3 Builds, (502 Build and higher) and Forge 10.13.4.1614!

v2.0.1 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 
Last edited:

Srsam

Member
May 19, 2017
60
0
6
19
I am on 11.2 on the newest version and the electric rocket will not launch, even with the creative rocket.
 

MJRLegends

Member
Mar 13, 2015
526
63
28
---------------------------------------------------------------------------------------------------------------------------------
1.12.2 Version:
Please report them here and use [1.12.2] in the title.
Requires Galacticraft 4 Builds, (174 Build and higher) and Forge 14.23.1.2555 or higher & Requires MJRLegendsLib as of ExtraPlanets!

v0.3.3 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
1.11.2 Version
Please report them here and use [1.11.2] in the title.
Requires Galacticraft 4 Builds, (174 Build and higher) and Forge 13.20.1.2513 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.5.0!

v0.7.0 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.10.2 Version
Please report them here and use [1.10.2] in the title.
Requires Galacticraft 4 Builds, (174 Build and higher) and Forge 12.18.3.2239 or higher & Requires MJRLegendsLib as of ExtraPlanets v0.8.6!

v1.0.5 is available, check change log for details
---------------------------------------------------------------------------------------------------------------------------------
1.8.9 Version:
Please report them here and use [1.8] in the title.
Requires Galacticraft 4 Builds, (174 Build and higher) and Forge 11.15.1.1764 or higher & Requires MJRLegendsLib as of ExtraPlanets v1.1.9!

v1.3.8 is available, check change log for details.
---------------------------------------------------------------------------------------------------------------------------------
 

MJRLegends

Member
Mar 13, 2015
526
63
28
Is there documentation for the added mechanisms and machines?
You can find all needed info, in game. If you would like me to include any more info please let me know what info you are after and i will find a way to add it :D
 

7eggert

Member
Apr 20, 2018
17
0
1
43
You can find all needed info, in game. If you would like me to include any more info please let me know what info you are after and i will find a way to add it :D
I'm thinking about reading a wiki, e.g. knowing about the need for a space suit on the moon before going there.

After I went there, there were two unnamed bars, which by deactivating the mechanism could be identified as radiation and pressure. I was busy taking pressure damage in my base, where before I could breath without anything at all. (Also GC is placing that above my VoxelMap minimap)

Then I'll need to find special ores for additional stuff - but where? Find the magic forum posting ...

On the galaxy screen, maybe you can add the tier of space suit required to the info being displayed.

Browsing through the items in JEI, I can see advanced oxygen compressors - i'm guessing they are for larger bottles. I don't know weather they'll fill default rockets …

The space suit on the moon was useless, as it had 0 remaining uses, and it puffed away on taking damage. Also it was uncharged with no obvious way of charging it. On Venus, it lost one durability per second and equally fast it's energy, then was healed and charged. After teleporting there, it's fully charged and healed. It didn't break during fights, but after a boss fight (the spider nor it's spiderlings didn't reach me), it was gone, but I didn't take damage. At that point I gave up and just cheated a new one - with a jetpack I don't know how to charge or use.

BTW, Maybe you can add a way to upgrade the space suit as it's quite expensive to make.

I'm currently investigating a memory problem: When I create a Mars space station, the Java process will DoS my system and I have to kill it. Also sometimes minecraft does that on it's own, but not that bad. Currently I assigned 3.5 GB on my 8 GB system, if I assign 4 GB, java fails to allocate memory.

Something as informative as:
wiki.micdoodle8.com/wiki/Astro_Miner
(what, where, when, how to)
 

MJRLegends

Member
Mar 13, 2015
526
63
28
I'm thinking about reading a wiki, e.g. knowing about the need for a space suit on the moon before going there.

After I went there, there were two unnamed bars, which by deactivating the mechanism could be identified as radiation and pressure. I was busy taking pressure damage in my base, where before I could breath without anything at all. (Also GC is placing that above my VoxelMap minimap)
When the levels on the bars become high you will be told with text matching the bar colour what that means

Got any ideas how to make this better let me know

Then I'll need to find special ores for additional stuff - but where? Find the magic forum posting ...
All ExtraPlanets have names of the planet and moon in the names and JEI shows the recipes and process to create them/use them

On the galaxy screen, maybe you can add the tier of space suit required to the info being displayed.
As the tool tip on the space suit says the tier of space suit doesnt matter you can do the whole planet/moons to the end with the tier 1.

Browsing through the items in JEI, I can see advanced oxygen compressors - i'm guessing they are for larger bottles. I don't know weather they'll fill default rockets …
oxygen compressors dont fill rockets??

Also it was uncharged with no obvious way of charging it.
Should be the same way you charge anything with power.

with a jetpack I don't know how to charge or use.
Should be the same way you charge anything with power. and same way you use any jetpack. Space bar

On Venus, it lost one durability per second and equally fast it's energy, then was healed and charged. After teleporting there, it's fully charged and healed. It didn't break during fights, but after a boss fight (the spider nor it's spiderlings didn't reach me), it was gone, but I didn't take damage. At that point I gave up and just cheated a new one -
See GC wiki as its there system, you need to get a shield controller from Venus dungeons
 
Last edited: